Package io.dapr.v1

# Enum DaprProtos.PubsubSubscriptionType

java.lang.Object
java.lang.Enum<DaprProtos.PubsubSubscriptionType>
io.dapr.v1.DaprProtos.PubsubSubscriptionType

All Implemented Interfaces:
  `com.google.protobuf.Internal.EnumLite`, `com.google.protobuf.ProtocolMessageEnum`, `Serializable`, `Comparable<DaprProtos.PubsubSubscriptionType>`

Enclosing class:
  DaprProtos

public static enum DaprProtos.PubsubSubscriptionType extends Enum<DaprProtos.PubsubSubscriptionType> implements com.google.protobuf.ProtocolMessageEnum

     PubsubSubscriptionType indicates the type of subscription

Protobuf enum `dapr.proto.runtime.v1.PubsubSubscriptionType`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`DECLARATIVE`
Declarative subscription (k8s CRD)
`PROGRAMMATIC`
Programmatically created subscription
`STREAMING`
Bidirectional Streaming subscription
`UNKNOWN`
UNKNOWN is the default value for the subscription type.
`UNRECOGNIZED`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DECLARATIVE_VALUE`
Declarative subscription (k8s CRD)
`static final int`
`PROGRAMMATIC_VALUE`
Programmatically created subscription
`static final int`
`STREAMING_VALUE`
Bidirectional Streaming subscription
`static final int`
`UNKNOWN_VALUE`
UNKNOWN is the default value for the subscription type.

## Method Summary

Modifier and Type
Method
Description
`static DaprProtos.PubsubSubscriptionType`
`forNumber(int value)`
`static final com.google.protobuf.Descriptors.EnumDescriptor`
`getDescriptor()`
`final com.google.protobuf.Descriptors.EnumDescriptor`
`getDescriptorForType()`
`final int`
`getNumber()`
`final com.google.protobuf.Descriptors.EnumValueDescriptor`
`getValueDescriptor()`
`static com.google.protobuf.Internal.EnumLiteMap<DaprProtos.PubsubSubscriptionType>`
`internalGetValueMap()`
`static DaprProtos.PubsubSubscriptionType`
`valueOf(int value)`
Deprecated.
`static DaprProtos.PubsubSubscriptionType`
`valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
Returns the enum constant of this type with the specified name.
`static DaprProtos.PubsubSubscriptionType`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static DaprProtos.PubsubSubscriptionType[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNKNOWN

public static final DaprProtos.PubsubSubscriptionType UNKNOWN

     UNKNOWN is the default value for the subscription type.

`UNKNOWN = 0;`

### DECLARATIVE

public static final DaprProtos.PubsubSubscriptionType DECLARATIVE

     Declarative subscription (k8s CRD)

`DECLARATIVE = 1;`

### PROGRAMMATIC

public static final DaprProtos.PubsubSubscriptionType PROGRAMMATIC

     Programmatically created subscription

`PROGRAMMATIC = 2;`

### STREAMING

public static final DaprProtos.PubsubSubscriptionType STREAMING

     Bidirectional Streaming subscription

`STREAMING = 3;`

### UNRECOGNIZED

public static final DaprProtos.PubsubSubscriptionType UNRECOGNIZED

## Field Details

### UNKNOWN_VALUE

public static final int UNKNOWN_VALUE

     UNKNOWN is the default value for the subscription type.

`UNKNOWN = 0;`

See Also:
  - Constant Field Values

### DECLARATIVE_VALUE

public static final int DECLARATIVE_VALUE

     Declarative subscription (k8s CRD)

`DECLARATIVE = 1;`

See Also:
  - Constant Field Values

### PROGRAMMATIC_VALUE

public static final int PROGRAMMATIC_VALUE

     Programmatically created subscription

`PROGRAMMATIC = 2;`

See Also:
  - Constant Field Values

### STREAMING_VALUE

public static final int STREAMING_VALUE

     Bidirectional Streaming subscription

`STREAMING = 3;`

See Also:
  - Constant Field Values

## Method Details

### values

public static DaprProtos.PubsubSubscriptionType[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static DaprProtos.PubsubSubscriptionType valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### getNumber

public final int getNumber()

Specified by:
  `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
Specified by:
  `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

### valueOf

@Deprecated public static DaprProtos.PubsubSubscriptionType valueOf(int value)
Deprecated.
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `value` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### forNumber

public static DaprProtos.PubsubSubscriptionType forNumber(int value)

Parameters:
  `value` - The numeric wire value of the corresponding enum entry.
Returns:
  The enum associated with the given numeric wire value.

### internalGetValueMap

public static com.google.protobuf.Internal.EnumLiteMap<DaprProtos.PubsubSubscriptionType> internalGetValueMap()

### getValueDescriptor

public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

Specified by:
  `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptorForType

public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

### getDescriptor

public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

### valueOf

public static DaprProtos.PubsubSubscriptionType valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `desc` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null